Package writer2latex.office

# Enum Class BibMark.EntryType

java.lang.Object
java.lang.Enum<BibMark.EntryType>
writer2latex.office.BibMark.EntryType

All Implemented Interfaces:
  `Serializable`, `Comparable<BibMark.EntryType>`, `Constable`

Enclosing class:
  `BibMark`

public static enum BibMark.EntryType extends Enum<BibMark.EntryType>
Entry types in an ODF bibliography marks. These are more or less modeled on BibTeX with the following exceptions: organizations is organization in BibTeX, report_type is report in BibTeX, the BibTeX fields crossref and key are missing in ODF, the ODF fields url, custom1, custom2, custom3, custom4, custom5, isbn are not standard in BibTeX

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`address`
`annote`
`author`
`booktitle`
`chapter`
`custom1`
`custom2`
`custom3`
`custom4`
`custom5`
`edition`
`editor`
`howpublished`
`institution`
`isbn`
`journal`
`month`
`note`
`number`
`organizations`
`pages`
`publisher`
`report_type`
`school`
`series`
`title`
`url`
`volume`
`year`

## Method Summary

Modifier and Type
Method
Description
`static BibMark.EntryType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BibMark.EntryType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### address

public static final BibMark.EntryType address

### annote

public static final BibMark.EntryType annote

### author

public static final BibMark.EntryType author

### booktitle

public static final BibMark.EntryType booktitle

### chapter

public static final BibMark.EntryType chapter

### edition

public static final BibMark.EntryType edition

### editor

public static final BibMark.EntryType editor

### howpublished

public static final BibMark.EntryType howpublished

### institution

public static final BibMark.EntryType institution

### journal

public static final BibMark.EntryType journal

### month

public static final BibMark.EntryType month

### note

public static final BibMark.EntryType note

### number

public static final BibMark.EntryType number

### organizations

public static final BibMark.EntryType organizations

### pages

public static final BibMark.EntryType pages

### publisher

public static final BibMark.EntryType publisher

### school

public static final BibMark.EntryType school

### series

public static final BibMark.EntryType series

### title

public static final BibMark.EntryType title

### report_type

public static final BibMark.EntryType report_type

### volume

public static final BibMark.EntryType volume

### year

public static final BibMark.EntryType year

### url

public static final BibMark.EntryType url

### custom1

public static final BibMark.EntryType custom1

### custom2

public static final BibMark.EntryType custom2

### custom3

public static final BibMark.EntryType custom3

### custom4

public static final BibMark.EntryType custom4

### custom5

public static final BibMark.EntryType custom5

### isbn

public static final BibMark.EntryType isbn

## Method Details

### values

public static BibMark.EntryType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BibMark.EntryType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null